<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class MY_Controller extends CI_Controller {

    function __construct() {
        parent::__construct();

        //add global breadcrumb of homepage
        $this->breadcrumb->prepend('<span class="glyphicon glyphicon-home"></span>');

        $this->load->model('global_model');

        if ($this->_logged_in()) {
            $logged_in = true;

            //load library if user logged in
            $this->load->library('ion_auth');
        } else {
            $logged_in = false;
        }

        ###template 
        $this->template->title->default($this->config->item('site_descr'));
        $this->template->description->default($this->config->item('site_descr'));
        $this->template->powered = 'Powered by <a href="http://dev.seedbay.net" target="_blank" />sbdev_ci</a>';
        $this->template->loadtime = 'Executed in ' . $this->benchmark->elapsed_time() . ' (' . $this->benchmark->memory_usage() . ')';
        $this->template->info = ($this->session->flashdata('info') ? '<div class="alert alert-info fade in" role="alert"><button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>' . $this->session->flashdata('info') . '</div>' : '');

        $this->template->stylesheet->add("public/assets/bootstrap/css/bootstrap.min.css");
        $this->template->stylesheet->add("public/assets/bootstrap/css/bootstrap-theme.min.css");
        $this->template->stylesheet->add("public/assets/" . $this->config->item('default_theme') . ".css");

        $this->template->javascript->add("public/assets/js/jquery.min.js");
        $this->template->javascript->add("public/assets/bootstrap/js/bootstrap.min.js");
        $this->template->javascript->add("public/assets/js/main.js");
        
        
        $this->template->ajax = '
        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-body" id="modal-body">
                    </div>
                </div>
            </div>
        </div>


        <div id="loading" class="text-center">
            <p>Подождите, загружаю...</p>
            <p class="text-center">' . img('public/assets/pic/ajax-loader.gif') . '</p>
        </div>
        ';
        
        ###template



        ###enable cache
        $this->load->driver('cache');

        $cats = $this->cache->file->get('sbdev_cats');

        
        if (!$cats) {
           
            $cats = $this->global_model->categories();
            // Save into the cache for 5 minutes
            $this->cache->file->save('sbdev_cats', $cats, 300);
        }
        ###enable cache


        $this->data = array(
            'curuser' => ($logged_in ? $this->ion_auth->user()->row() : FALSE),
            'admin_mod' => ($logged_in ? $this->ion_auth->in_group(array('admin', 'moderator')) : FALSE),
            'logged_in' => $logged_in,
            'categories' => $cats
        );


        //make global for views
        $this->load->vars($this->data);

        //($logged_in ? ($this->ion_auth->is_admin() ? $this->output->enable_profiler(TRUE) : '') : '');
    }

    private function _logged_in() {
        $this->load->library('session');
        $this->load->model('ion_auth_model');
        $this->ion_auth_model->trigger_events('logged_in');

        return (bool) $this->session->userdata('identity');
    }

}