<?= doctype('html5') ?>
<html lang="ru">
    <head>
        <title><?php echo $this->template->title->append(' - ' . $this->config->item('site_name')); ?></title>
        <meta name="description" content="<?php echo $this->template->description; ?>">
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <?php echo $this->template->stylesheet; ?>
        <?php echo $this->template->javascript; ?>
    </head>

    <body>
        <?php echo $this->template->ajax; ?>       
        <div class="header">
            <?php echo anchor(base_url(), img('public/assets/pic/logo.png'), array('class' => 'main_logo')); ?>

            <?= form_open('browse/search', array('class' => 'main_search')) ?>
            <div class="input-group">
                <input type="text" name="q" value="" class="form-control input-lg main_search">
                <span class="input-group-btn">
                    <button type="submit" class="btn btn-default btn-lg"><span class="glyphicon glyphicon-search"></span> Поиск</button>
                </span>
            </div>
            <ul class="list-inline head_menu">
                <li><?php echo anchor("browse", "Все раздачи") ?></li>
                <?php if (!$logged_in): ?>
                    <li class="navbar-right">
                        <ul class="list-inline">
                            <li><?php echo anchor("auth/login", "Вход") ?></li>
                        </ul>
                    </li>
                <?php endif; ?>
            </ul>
            <?= form_close() ?>
        </div>
        <div class="bredcrumbs_panel">
            <div class="container">
                <?= $this->breadcrumb->output(); ?>
            </div>
        </div>
        <div class="body_c">
            <div class="container">
                <div class="row">

                    <!-- Sidebar -->
                    <div class="col-xs-3">
                        <?php if ($logged_in): ?>
                            <?php $this->template->partial->view("widgets/user"); ?>
                        <?php endif; ?>

                        <?php echo $this->template->partial->view("widgets/categories"); ?>
                        
                        <?php echo $this->template->widget("online"); ?>
                    </div>
                    <!-- Sidebar -->

                    <!-- Body -->
                    <div class="col-xs-9">
                        <?php echo $this->template->info; ?>
                        <?php echo $this->template->content; ?>
                    </div>
                    <!-- Body -->
                </div>
            </div>
        </div>

        <div class="footer">
            <div class="container">
                <!-- Footer -->
                <div class="row small" id="footer">
                    <div class="col-xs-6">
                        <?php echo $this->template->powered; ?>
                    </div>
                    <div class="col-xs-6" align="right">
                        <?php echo $this->template->loadtime; ?>
                    </div>
                </div>

            </div>
        </div>

    </body>
</html>
