--
-- Table structure for table `sessions`
--

CREATE TABLE IF NOT EXISTS  `sessions` (
	session_id varchar(40) DEFAULT '0' NOT NULL,
	ip_address varchar(45) DEFAULT '0' NOT NULL,
	user_agent varchar(120) NOT NULL,
	last_activity int(10) unsigned DEFAULT 0 NOT NULL,
	user_data text NOT NULL,
	PRIMARY KEY (session_id),
	KEY `last_activity_idx` (`last_activity`)
) DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;



--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sort` int(10) NOT NULL DEFAULT '0',
  `name` varchar(30) NOT NULL DEFAULT '',
  `parent` int(3) NOT NULL DEFAULT '0',
  `url` varchar(70) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `sort`, `name`, `parent`, `url`) VALUES
(1, 1, 'Зарубежные фильмы', 0, 'movies'),
(2, 2, 'Наши фильмы', 0, 'russian-movies'),
(3, 3, 'Научно-популярные фильмы', 0, 'science'),
(4, 4, 'Сериалы', 0, 'series'),
(5, 5, 'Телевизор', 0, 'tv'),
(7, 7, 'Мультипликация', 0, 'cartoons'),
(8, 8, 'Аниме', 0, 'anime'),
(9, 9, 'Музыка', 0, 'music'),
(10, 10, 'Игры', 0, 'games'),
(11, 11, 'Софт', 0, 'apps'),
(12, 12, 'Спорт и Здоровье', 0, 'sport-health'),
(13, 13, 'Юмор', 0, 'fun'),
(14, 14, 'Книги', 0, 'books'),
(15, 15, 'Другое', 0, 'other'),
(16, 16, 'Хозяйство и Быт', 0, 'home-life');

-- --------------------------------------------------------

--
-- Table structure for table `comments`
--

CREATE TABLE `comments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user` int(10) unsigned NOT NULL DEFAULT '0',
  `fid` int(10) unsigned NOT NULL DEFAULT '0',
  `added` int(11) unsigned NOT NULL,
  `text` text NOT NULL,
  `editedby` int(10) unsigned NOT NULL DEFAULT '0',
  `location` enum('torrents') DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user` (`user`),
  KEY `torrent` (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `countries`
--

CREATE TABLE `countries` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `flagpic` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=110 ;

--
-- Dumping data for table `countries`
--

INSERT INTO `countries` (`id`, `name`, `flagpic`) VALUES
(1, 'Швеция', 'sweden.gif'),
(2, 'США', 'usa.gif'),
(3, 'Россия', 'russia.gif'),
(4, 'Финляндия', 'finland.gif'),
(5, 'Канада', 'canada.gif'),
(6, 'Франция', 'france.gif'),
(7, 'Германия', 'germany.gif'),
(8, 'Китай', 'china.gif'),
(9, 'Италия', 'italy.gif'),
(10, 'Дания', 'denmark.gif'),
(11, 'Норвегия', 'norway.gif'),
(12, 'Великобритания', 'uk.gif'),
(13, 'Ирландия', 'ireland.gif'),
(14, 'Польша', 'poland.gif'),
(15, 'Нидерланды', 'netherlands.gif'),
(16, 'Бельгия', 'belgium.gif'),
(17, 'Япония', 'japan.gif'),
(18, 'Бразилия', 'brazil.gif'),
(19, 'Аргентина', 'argentina.gif'),
(20, 'Австралия', 'australia.gif'),
(21, 'Новая Зеландия', 'newzealand.gif'),
(22, 'Испания', 'spain.gif'),
(23, 'Португалия', 'portugal.gif'),
(24, 'Мексика', 'mexico.gif'),
(25, 'Сингапур', 'singapore.gif'),
(26, 'Индия', 'india.gif'),
(27, 'Албания', 'albania.gif'),
(28, 'ЮАР', 'southafrica.gif'),
(29, 'Южная Корея', 'southkorea.gif'),
(30, 'Ямайка', 'jamaica.gif'),
(31, 'Люксембург', 'luxembourg.gif'),
(32, 'Гонконг', 'hongkong.gif'),
(33, 'Белиз', 'belize.gif'),
(34, 'Алжир', 'algeria.gif'),
(35, 'Ангола', 'angola.gif'),
(36, 'Австрия', 'austria.gif'),
(37, 'Югославия', 'yugoslavia.gif'),
(38, 'Самоа', 'westernsamoa.gif'),
(39, 'Малайзия', 'malaysia.gif'),
(40, 'Доминиканская Республика', 'dominicanrep.gif'),
(41, 'Греция', 'greece.gif'),
(42, 'Гватемала', 'guatemala.gif'),
(43, 'Израиль', 'israel.gif'),
(44, 'Пакистан', 'pakistan.gif'),
(45, 'Чехия', 'czechrep.gif'),
(46, 'Сербия', 'serbia.gif'),
(47, 'Сейшельские Острова', 'seychelles.gif'),
(48, 'Тайвань', 'taiwan.gif'),
(49, 'Пуэрто-Рико', 'puertorico.gif'),
(50, 'Чили', 'chile.gif'),
(51, 'Куба', 'cuba.gif'),
(52, 'Конго', 'congo.gif'),
(53, 'Афганистан', 'afghanistan.gif'),
(54, 'Турция', 'turkey.gif'),
(55, 'Узбекистан', 'uzbekistan.gif'),
(56, 'Швейцария', 'switzerland.gif'),
(57, 'Кирибати', 'kiribati.gif'),
(58, 'Филиппины', 'philippines.gif'),
(59, 'Буркина Фасо', 'burkinafaso.gif'),
(60, 'Нигерия', 'nigeria.gif'),
(61, 'Исландия', 'iceland.gif'),
(62, 'Науру', 'nauru.gif'),
(63, 'Словакия', 'slovenia.gif'),
(64, 'Туркменистан', 'turkmenistan.gif'),
(65, 'Босния и Герцеговина', 'bosniaherzegovina.gif'),
(66, 'Андорра', 'andorra.gif'),
(67, 'Литва', 'lithuania.gif'),
(68, 'Македония', 'macedonia.gif'),
(69, 'Нидерландские Антиллы', 'nethantilles.gif'),
(70, 'Украина', 'ukraine.gif'),
(71, 'Венесуэла', 'venezuela.gif'),
(72, 'Венгрия', 'hungary.gif'),
(73, 'Румыния', 'romania.gif'),
(74, 'Вануату', 'vanuatu.gif'),
(75, 'Вьетнам', 'vietnam.gif'),
(76, 'Тринидад и Тобаго', 'trinidadandtobago.gif'),
(77, 'Гондурас', 'honduras.gif'),
(78, 'Кыргызстан', 'kyrgyzstan.gif'),
(79, 'Эквадор', 'ecuador.gif'),
(80, 'Багамы', 'bahamas.gif'),
(81, 'Перу', 'peru.gif'),
(82, 'Камбоджа', 'cambodia.gif'),
(83, 'Барбадос', 'barbados.gif'),
(84, 'Бангладеш', 'bangladesh.gif'),
(85, 'Лаос', 'laos.gif'),
(86, 'Уругвай', 'uruguay.gif'),
(87, 'Антигуа и Барбуда', 'antiguabarbuda.gif'),
(88, 'Парагвай', 'paraguay.gif'),
(89, 'Таиланд', 'thailand.gif'),
(90, 'СССР', 'ussr.gif'),
(91, 'Сенегал', 'senegal.gif'),
(92, 'Того', 'togo.gif'),
(93, 'Северная Корея', 'northkorea.gif'),
(94, 'Хорватия', 'croatia.gif'),
(95, 'Эстония', 'estonia.gif'),
(96, 'Колумбия', 'colombia.gif'),
(97, 'Ливан', 'lebanon.gif'),
(98, 'Латвия', 'latvia.gif'),
(99, 'Коста-Рика', 'costarica.gif'),
(100, 'Египет', 'egypt.gif'),
(101, 'Болгария', 'bulgaria.gif'),
(102, 'Исла де Муерто', 'jollyroger.gif'),
(103, 'Молдова', 'moldova.gif'),
(104, 'Беларусь', 'belarus.gif'),
(105, 'Казахстан', 'kazakhstan.gif'),
(106, 'Таджикистан', 'tajikistan.gif'),
(107, 'Грузия', 'georgia.gif'),
(108, 'Армения', 'armenia.gif'),
(109, 'Азербайджан', 'azerbaijan.gif');

-- --------------------------------------------------------

--
-- Table structure for table `files`
--

CREATE TABLE `files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `torrent` int(10) unsigned NOT NULL DEFAULT '0',
  `filename` varchar(255) NOT NULL DEFAULT '',
  `size` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `torrent` (`torrent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------


--
-- Table structure for table `reports`
--

CREATE TABLE `reports` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fid` int(10) unsigned NOT NULL,
  `comment` text NOT NULL,
  `added` int(11) unsigned NOT NULL,
  `modded_by` int(10) unsigned NOT NULL DEFAULT '0',
  `location` enum('torrents','comments') NOT NULL,
  `sender` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=30 ;

-- --------------------------------------------------------

--
-- Table structure for table `groups`
--

CREATE TABLE `groups` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `groups`
--

INSERT INTO `groups` (`id`, `name`, `description`) VALUES
(1, 'admin', 'Администратор'),
(2, 'moderator', 'Модератор'),
(3, 'uploader', 'Заливающий'),
(5, 'user', 'Пользователь');

-- --------------------------------------------------------

--
-- Table structure for table `login_attempts`
--

CREATE TABLE `login_attempts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(15) NOT NULL,
  `login` varchar(100) NOT NULL,
  `time` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `torrents`
--

CREATE TABLE `torrents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `owner` int(10) unsigned NOT NULL DEFAULT '0',
  `info_hash` binary(20) NOT NULL,
  `numfiles` int(10) unsigned NOT NULL DEFAULT '0',
  `size` bigint(20) unsigned NOT NULL DEFAULT '0',
  `type` enum('single','multi') NOT NULL DEFAULT 'single',
  `name` varchar(255) NOT NULL DEFAULT '',
  `descr` text NOT NULL,
  `category` int(10) unsigned NOT NULL DEFAULT '0',
  `added` int(11) unsigned NOT NULL,
  `completed` int(10) unsigned NOT NULL DEFAULT '0',
  `leechers` int(10) unsigned NOT NULL DEFAULT '0',
  `seeders` int(10) unsigned NOT NULL DEFAULT '0',
  `poster` varchar(255) DEFAULT NULL,
  `magnet` text,
  `last_update` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `url` varchar(250) DEFAULT NULL,
  `file` enum('yes','no') NOT NULL DEFAULT 'yes',
  `comments` int(10) unsigned NOT NULL DEFAULT '0',
  `can_comment` enum('yes','no') NOT NULL DEFAULT 'yes',
  `modded` enum('yes','no') NOT NULL DEFAULT 'no',
  PRIMARY KEY (`id`),
  UNIQUE KEY `info_hash` (`info_hash`),
  KEY `category_visible` (`category`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `torrents_scrape`
--

CREATE TABLE `torrents_scrape` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tid` int(10) unsigned NOT NULL DEFAULT '0',
  `info_hash` varbinary(40) NOT NULL DEFAULT '',
  `url` varchar(100) NOT NULL DEFAULT '',
  `seeders` int(10) unsigned NOT NULL DEFAULT '0',
  `leechers` int(10) unsigned NOT NULL DEFAULT '0',
  `completed` int(10) unsigned NOT NULL DEFAULT '0',
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `state` enum('ok','error') NOT NULL DEFAULT 'ok',
  `error` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`info_hash`,`url`,`tid`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(15) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(255) NOT NULL,
  `salt` varchar(255) DEFAULT NULL,
  `email` varchar(100) NOT NULL,
  `activation_code` varchar(40) DEFAULT NULL,
  `forgotten_password_code` varchar(40) DEFAULT NULL,
  `forgotten_password_time` int(11) unsigned DEFAULT NULL,
  `remember_code` varchar(40) DEFAULT NULL,
  `created_on` int(11) unsigned NOT NULL,
  `last_login` int(11) unsigned DEFAULT NULL,
  `active` tinyint(1) unsigned DEFAULT NULL,
  `country` int(10) unsigned NOT NULL DEFAULT '0',
  `userfile` varchar(40) DEFAULT NULL,
  `can_comment` enum('yes','no') NOT NULL DEFAULT 'yes',
  `can_upload` enum('yes','no') NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `ip_address`, `username`, `password`, `salt`, `email`, `activation_code`, `forgotten_password_code`, `forgotten_password_time`, `remember_code`, `created_on`, `last_login`, `active`, `country`, `userfile`, `can_comment`, `can_upload`) VALUES
(1, '127.0.0.1', 'admin', '$2y$08$Xsd.wmiASoUCkY0bBA4TZOIH/y2U.yIlUfgBc4yyDe1LS4OrhRtou', '', 'admin@local.com', '', 'p3Fx2gPkadCl.B4sx3UfaO02f2e3d85b12a691fb', 1406127375, 'YPFoZilV03eribV60nxm9u', 1268889823, 1407022170, 1, 48, '', 'yes', 'yes');

-- --------------------------------------------------------

--
-- Table structure for table `users_groups`
--

CREATE TABLE `users_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned NOT NULL,
  `group_id` mediumint(8) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uc_users_groups` (`user_id`,`group_id`),
  KEY `fk_users_groups_users1_idx` (`user_id`),
  KEY `fk_users_groups_groups1_idx` (`group_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users_groups`
--

INSERT INTO `users_groups` (`id`, `user_id`, `group_id`) VALUES
(1, 1, 1);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `users_groups`
--
ALTER TABLE `users_groups`
  ADD CONSTRAINT `fk_users_groups_groups1` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_users_groups_users1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;
